package com.zhentao.lianxi330.controller;

import com.zhentao.lianxi330.model.RequestParams;
import com.zhentao.lianxi330.service.ApiService;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.BindingResult;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.Map;
import java.util.UUID;

@RestController
@RequestMapping("/api")

public class ApiController {

    private final ApiService apiService;

    public ApiController(ApiService apiService) {
        this.apiService = apiService;
    }

    @PostMapping("/post")
    public ResponseEntity<Map<String, Object>> postRequest(@RequestHeader(value = "reqId", defaultValue = "") String reqId,
                                                           @Validated @RequestBody RequestParams params,
                                                           BindingResult bindingResult) {
        if (reqId.isEmpty()) {
            reqId = UUID.randomUUID().toString();
        }

        return apiService.handlePostRequest(reqId, params, bindingResult);
    }

    @GetMapping("/get")
    public ResponseEntity<Map<String, Object>> getRequest(@RequestHeader(value = "reqId", defaultValue = "") String reqId,@Validated RequestParams params,
                                                          BindingResult bindingResult) {
        if (reqId.isEmpty()) {
            reqId = UUID.randomUUID().toString();
        }
        return apiService.handleGetRequest(reqId, params, bindingResult);
    }
}
