package com.zhentao.lianxi330.service.impl;

import com.zhentao.lianxi330.model.RequestParams;
import com.zhentao.lianxi330.service.ApiService;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.BindingResult;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

@Service
public class ApiServiceImpl implements ApiService {

    @Override
    public ResponseEntity<Map<String, Object>> handlePostRequest(String reqId, RequestParams params, BindingResult bindingResult) {
        Map<String, Object> response = new HashMap<>();
        response.put("reqId", reqId);
        if (bindingResult.hasErrors()) {
            response.put("message", "参数验证失败");
            response.put("errors", bindingResult.getAllErrors());
            return new ResponseEntity<>(response, HttpStatus.BAD_REQUEST);
        }
        response.put("message", "请求成功");
        response.put("data", params);
        return new ResponseEntity<>(response, HttpStatus.OK);
    }

    @Override
    public ResponseEntity<Map<String, Object>> handleGetRequest(String reqId, RequestParams params, BindingResult bindingResult) {
        Map<String, Object> response = new HashMap<>();
        response.put("reqId", reqId);
        if (bindingResult.hasErrors()) {
            response.put("message", "参数验证失败");
            response.put("errors", bindingResult.getAllErrors());
            return new ResponseEntity<>(response, HttpStatus.BAD_REQUEST);
        }
        response.put("message", "请求成功");
        response.put("data", params);
        return new ResponseEntity<>(response, HttpStatus.OK);
    }
}
